#
# spec file for package inter-fonts
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           inter-fonts
Version:        3.13
Release:        bp153.1.12
Summary:        The Inter font family
License:        OFL-1.1
Group:          System/X11/Fonts
URL:            https://rsms.me/inter/
Source0:        https://github.com/rsms/inter/releases/download/v%{version}/Inter-%{version}.zip
BuildRequires:  fontpackages-devel
BuildRequires:  unzip
BuildArch:      noarch
%reconfigure_fonts_prereq

%description
The Inter is a typeface specially designed for user interfaces with focus
on high legibility of small-to-medium sized text on computer screens.

%prep
%setup -cT -a0

%build
:

%install
install -d %{buildroot}%{_ttfontsdir}
install -m0644 -t %{buildroot}%{_ttfontsdir} 'Inter Desktop'/*.otf

%reconfigure_fonts_scriptlets

%files
%license LICENSE.txt
%{_ttfontsdir}

%changelog
* Sat Apr 11 2020 Alexei Podvalsky <avvissu@yandex.by>
- Update to 3.13:
  * Improvements to Greek and Cyrillic glyphs #240
  * New stylistic set ss04 which is almost identical to ss02 with
    the exception of no slashed zero #252
  * Fixes interpolation issues with several diacritics in the light weights
  * Removes codepoint mappings for some math-related enclosed glyphs
    that would be too large when using the circle-enclosed glyphs #250
  * Various improvements and adjustments to glyph shapes, spacing and kerning
  * Improves OpenType feature name metadata
* Fri Feb 21 2020 Alexei Podvalsky <avvissu@yandex.by>
- Initial release
